Skip to main content
Jump to: navigation, search

Difference between revisions of "Lyo/General Setup for OSLC4J Development"

< Lyo
(Created page with "= General Setup for OSLC4J development = You first need to setup an Eclipse environment for general OSLC4J development: # Unless already installed, you need to first install...")
 
 
Line 1: Line 1:
= General Setup for OSLC4J development =
+
This page has moved to [http://oslc.github.io/developing-oslc-applications/eclipse_lyo/eclipse-setup-for-lyo-based-development.html Lyo's new documentation].
 
+
You first need to setup an Eclipse environment for general OSLC4J development:
+
 
+
# Unless already installed, you need to first install the JDK 8 (see the [[Lyo/prereqs|prerequisites]]).
+
# Install your preferred Eclipse distribution. Which distribution to use?
+
#* [https://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/lunasr2 Eclipse IDE for Java EE Developers] seems to cover the necessary [[Lyo/prereqs|prerequisites for Building Lyo Projects]].
+
#* [https://www.eclipse.org/downloads/packages/eclipse-ide-java-developers/lunasr2 Eclipse IDE for Java Developers] can be used, together with the following 2 additional plugins:
+
#** ''Eclipse Java EE Developer Tools''
+
#** ''Eclipse Java Web Developer Tools''
+
# Once Eclipse is installed, you need to make sure the '''JAVA_HOME''' environment variable is set to the installed JDK (instead of the default JRE).
+
## Select '''''Window-->Preferences'''''
+
## Select '''''Java-->Installed JREs'''''
+
## Click '''''Add...'''''
+
## In the new window that appears,
+
### choose '''''Standard VM''''' as JRE Type
+
### click '''''Next'''''.
+
### As '''''JRE home''''' choose the installation dir of your JDK
+
### click '''''Finish'''''.
+
## Back to the preferences screen
+
### select the old JRE
+
### click '''''Remove'''''
+
### check the newly added JDK and
+
### click '''''OK'''''.
+

Latest revision as of 00:46, 25 April 2019

This page has moved to Lyo's new documentation.

Back to the top